local GetHeroBountyInfoMessage = BaseClass("GetHeroBountyInfoMessage", SFSBaseMessage)
local base = SFSBaseMessage
local Localization = CS.GameEntry.Localization
local OnCreate = function(self)
  base.OnCreate(self)
end
local HandleMessage = function(self, t)
  base.HandleMessage(self, t)
  local errCode = t.errorCode
  if errCode ~= nil then
    UIUtil.ShowTipsId(errCode)
  else
    DataCenter.HeroBountyDataManager:UpdateAllData(t)
  end
end
GetHeroBountyInfoMessage.OnCreate = OnCreate
GetHeroBountyInfoMessage.HandleMessage = HandleMessage
return GetHeroBountyInfoMessage
